CVE-2003-1044
CVSS7.5
发布时间 :2004-08-18 00:00:00
修订时间 :2008-09-05 16:35:53
NMCO    

[原文]editproducts.cgi in Bugzilla 2.16.3 and earlier, when usebuggroups is enabled, does not properly remove group add privileges from a group that is being deleted, which allows users with those privileges to perform unauthorized additions to the next group that is assigned with the original group ID.


[CNNVD]Bugzilla多个安全漏洞(CNNVD-200408-160)

        
        Bugzilla是一款基于WEB的程序错误漏洞跟踪系统。
        Bugzilla存在多个安全问题,远程攻击者可以利用这个漏洞进行SQL注入攻击,访问受限数据等攻击。
        具体问题如下:
        1、特权用户可进行SQL注入攻击:
        用户拥有'editproducts'权限(一般是管理员)通过对产品赋予特殊名而能选择任意SQL由统计cron作业(collectstats.pl)运行。
        2、特权用户可进行SQL注入攻击:
        用户拥有'editkeywords'权限(一般是管理员)可通过用于编辑已存在关键词的URL注入任意SQL。
        3、权限错误处理:
        当删除一个产品时,在editproducts.cgi操作删除后,groupbit位对所有成员设置为0(profiles.groupset),而blessgrouset字段没有更新。当建立一个新的产品时会获取这个旧的bitnumber。
        4、信息泄露:
        如果知道投递安全漏洞的某人的EMAIL地址,就可以访问这个安全问题的概要,即使访问者本来没有查看这个错误的权限。
        5、信息泄露:
        describecomponents.cgi使用AnyDefaultGroups()来判断在显示可用产品列表前检查CanEnterProducts(),如果所以产品以Mandatory/Mandatory组控制定义,AnyDefaultGroups()返回错误,用户会获得所有产品列表,即使用户本来不能查看这些信息。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:bugzilla:2.16.1Mozilla Bugzilla 2.16.1
cpe:/a:mozilla:bugzilla:2.17.3Mozilla Bugzilla 2.17.3
cpe:/a:mozilla:bugzilla:2.10Mozilla Bugzilla 2.10
cpe:/a:mozilla:bugzilla:2.12Mozilla Bugzilla 2.12
cpe:/a:mozilla:bugzilla:2.14.4Mozilla Bugzilla 2.14.4
cpe:/a:mozilla:bugzilla:2.16.2Mozilla Bugzilla 2.16.2
cpe:/a:mozilla:bugzilla:2.17.4Mozilla Bugzilla 2.17.4
cpe:/a:mozilla:bugzilla:2.14.3Mozilla Bugzilla 2.14.3
cpe:/a:mozilla:bugzilla:2.14.1Mozilla Bugzilla 2.14.1
cpe:/a:mozilla:bugzilla:2.8Mozilla Bugzilla 2.8
cpe:/a:mozilla:bugzilla:2.14.2Mozilla Bugzilla 2.14.2
cpe:/a:mozilla:bugzilla:2.14.5Mozilla Bugzilla 2.14.5
cpe:/a:mozilla:bugzilla:2.16.3Mozilla Bugzilla 2.16.3
cpe:/a:mozilla:bugzilla:2.14Mozilla Bugzilla 2.14
cpe:/a:mozilla:bugzilla:2.4Mozilla Bugzilla 2.4
cpe:/a:mozilla:bugzilla:2.6Mozilla Bugzilla 2.6
cpe:/a:mozilla:bugzilla:2.17.1Mozilla Bugzilla 2.17.1
cpe:/a:mozilla:bugzilla:2.16Mozilla Bugzilla 2.16

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1044
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1044
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-160
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/8953
(VENDOR_ADVISORY)  BID  8953
http://xforce.iss.net/xforce/xfdb/13597
(VENDOR_ADVISORY)  XF  bugzilla-groupid-gain-privileges(13597)
http://www.securityfocus.com/archive/1/343185
(UNKNOWN)  BUGTRAQ  20031103 [BUGZILLA] Security Advisory - SQL injection, information leak
http://bugzilla.mozilla.org/show_bug.cgi?id=219690
(UNKNOWN)  CONFIRM  http://bugzilla.mozilla.org/show_bug.cgi?id=219690
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000774
(UNKNOWN)  CONECTIVA  CLA-2003:774

- 漏洞信息

Bugzilla多个安全漏洞
高危 未知
2004-08-18 00:00:00 2005-10-20 00:00:00
远程※本地  
        
        Bugzilla是一款基于WEB的程序错误漏洞跟踪系统。
        Bugzilla存在多个安全问题,远程攻击者可以利用这个漏洞进行SQL注入攻击,访问受限数据等攻击。
        具体问题如下:
        1、特权用户可进行SQL注入攻击:
        用户拥有'editproducts'权限(一般是管理员)通过对产品赋予特殊名而能选择任意SQL由统计cron作业(collectstats.pl)运行。
        2、特权用户可进行SQL注入攻击:
        用户拥有'editkeywords'权限(一般是管理员)可通过用于编辑已存在关键词的URL注入任意SQL。
        3、权限错误处理:
        当删除一个产品时,在editproducts.cgi操作删除后,groupbit位对所有成员设置为0(profiles.groupset),而blessgrouset字段没有更新。当建立一个新的产品时会获取这个旧的bitnumber。
        4、信息泄露:
        如果知道投递安全漏洞的某人的EMAIL地址,就可以访问这个安全问题的概要,即使访问者本来没有查看这个错误的权限。
        5、信息泄露:
        describecomponents.cgi使用AnyDefaultGroups()来判断在显示可用产品列表前检查CanEnterProducts(),如果所以产品以Mandatory/Mandatory组控制定义,AnyDefaultGroups()返回错误,用户会获得所有产品列表,即使用户本来不能查看这些信息。
        

- 公告与补丁

        厂商补丁:
        Conectiva
        ---------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Conectiva Upgrade bugzilla-2.16.4-29154U90_1cl.i386.rpm
        ftp://atualizacoes.conectiva.com.br/9/RPMS/bugzilla-2.16.4-29154U90_1cl.i386.rpm
        Conectiva Upgrade bugzilla-doc-2.16.4-29154U90_1cl.i386.rpm
        ftp://atualizacoes.conectiva.com.br/9/RPMS/bugzilla-doc-2.16.4-29154U90_1cl.i386.rpm
        Mozilla
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Mozilla Upgrade bugzilla-2.16.4.tar.gz
        ftp://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-2.16.4.tar.gz
        Mozilla Upgrade bugzilla-2.17.5.tar.gz
        ftp://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-2.17.5.tar.gz

- 漏洞信息

6388
Bugzilla editproducts.cgi SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Bugzilla contains a flaw that may allow a remote attacker to inject arbitrary SQL queries. This flaw exists because the application does not validate user-supplied input upon submission to the 'editproducts.cgi' script and may allow a remote attacker to inject or manipulate SQL queries.

- 时间线

2003-09-19 Unknow
2003-09-19 Unknow

- 解决方案

Upgrade to version 2.16.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站